Get the user's cursor-paginated list summaries
curl --request GET \
--url https://punchplay.tv/api/platform/v1/me/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://punchplay.tv/api/platform/v1/me/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://punchplay.tv/api/platform/v1/me/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 2,
"name": "<string>",
"description": "<string>",
"isPublic": true,
"isWatchlist": true,
"isDynamicList": true,
"externalSource": "<string>",
"isCollaborative": true,
"ownerUsername": "<string>",
"itemCount": 1,
"previewPosters": [
{
"posterPath": "<string>",
"tmdbId": 2
}
]
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}Lists
Get the user's cursor-paginated list summaries
externalSource is non-null for externally managed lists. Those lists, and dynamic-list items, are read-only through write operations.
GET
/
api
/
platform
/
v1
/
me
/
lists
Get the user's cursor-paginated list summaries
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Opaque cursor from a previous response's nextCursor. Keep other query parameters identical while paging.
Required range:
1 <= x <= 100⌘I